﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class TBI_Referrals : BasePage
{

    #region Public Overrides

    public override string TopMenuName()
    {
        return "My Tasks";
    }

    public override string MenuItemName()
    {
        return "TBI REFERRAL";
    }

    public override string AppObjectCode()
    {
        return "TBI REFERRAL";
    }

    #endregion

    #region Protected Methods

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            int? statusID = Convert.ToInt32(Request.QueryString["id"]);

            if (statusID == 0)
            {
                //Modify breadcrumb to display adding new
                LabelBreadCrumb.Text = LabelBreadCrumb.Text + " > New";
            }

        }

    }

    protected void GridViewTBIReferrals_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        if (e.CommandName == "Details")
        {
            int index = Convert.ToInt32(e.CommandArgument);
            GridViewTBIReferrals.SelectedIndex = index;
            int id = Convert.ToInt32(GridViewTBIReferrals.SelectedValue);

            Response.Redirect(string.Format("referral.aspx?id={0}", id));
        }

    }

    protected void  GridViewTBIReferrals_RowDataBound(object sender, GridViewRowEventArgs e)
    {

    }

    #endregion

}